> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Account

> Adding Account



## OpenAPI

````yaml /openapi/collections.json post /merchant/create-account
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/create-account:
    post:
      tags:
        - ''
      summary: Add Account
      description: Adding Account
      operationId: Check for Account
      requestBody:
        description: Account Adding details
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccount'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAccoutResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    CreateAccount:
      required:
        - currency
        - institutionId
        - payerId
      type: object
      properties:
        currency:
          type: string
          example: NGN, USD, CAD, GBP
        country:
          type: string
          example: Nigeria
        institutionId:
          type: string
          example: >-
            eZl0T7elDC3VWefiqYT4RujW7tL5gF6rslfpc/coZUIyXU26+MvBa0MDZI/OK6Q/DpIUn4UfxhKzk4z6LQ8dOob1J4t0VSfVLFjk4yAa5XvDFYFGRMbTZZ62PTLjzZ6tm0/MKZdw7J4QaVzCqAoIEAzWKex01O0ItInfMtMyVQK6w8NrloLgFoR8MisFK8319apdC+RE9rrrestY+gjeXCBrqivTAPPfYLad/tIRco75ZSLp6SZHnMpi11N2+/oxKzLwm3IJLv/8xjpQKPOi4ITZp==
        accountNumber:
          type: string
          example: '222000011123'
        sortCode:
          type: string
          example: '023'
        iban:
          type: string
          example: 039456-1245993-345
        payerId:
          type: string
          example: e13-47a1-89d4-460bf99bd
    CreateAccoutResponse:
      type: object
      properties:
        status:
          type: string
          example: Success
        message:
          type: string
          example: Account created successfully
        payerId:
          type: string
          example: Flick-1c-jfkrn35-5fjsd8-vsd
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.